<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: Canvas Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classCanvas-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Canvas Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Canvas:</div>
<div class="dyncontent">
<div class="center"><img src="classCanvas__inherit__graph.png" border="0" usemap="#aCanvas_inherit__map" alt="Inheritance graph"/></div>
<map name="aCanvas_inherit__map" id="aCanvas_inherit__map">
<area shape="rect" title=" " alt="" coords="34,80,105,107"/>
<area shape="rect" title=" " alt="" coords="5,5,133,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Canvas:</div>
<div class="dyncontent">
<div class="center"><img src="classCanvas__coll__graph.png" border="0" usemap="#aCanvas_coll__map" alt="Collaboration graph"/></div>
<map name="aCanvas_coll__map" id="aCanvas_coll__map">
<area shape="rect" title=" " alt="" coords="34,80,105,107"/>
<area shape="rect" title=" " alt="" coords="5,5,133,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:aba168bee9c4ab475fd25d8bee0c2f67d"><td class="memItemLeft" align="right" valign="top"><a id="aba168bee9c4ab475fd25d8bee0c2f67d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddStart</b> ()</td></tr>
<tr class="separator:aba168bee9c4ab475fd25d8bee0c2f67d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3588ea3c1c304586cfd33674fcdf519b"><td class="memItemLeft" align="right" valign="top"><a id="a3588ea3c1c304586cfd33674fcdf519b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddTarget</b> ()</td></tr>
<tr class="separator:a3588ea3c1c304586cfd33674fcdf519b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cf12ec3c89b0e8b63c50317e056ebc3"><td class="memItemLeft" align="right" valign="top"><a id="a5cf12ec3c89b0e8b63c50317e056ebc3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Clear</b> ()</td></tr>
<tr class="separator:a5cf12ec3c89b0e8b63c50317e056ebc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8198bf92333875828cd40ff4b371269d"><td class="memItemLeft" align="right" valign="top"><a id="a8198bf92333875828cd40ff4b371269d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddMaze</b> (QString type)</td></tr>
<tr class="separator:a8198bf92333875828cd40ff4b371269d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac369f34db3201cc78c9631e18dd1fdb8"><td class="memItemLeft" align="right" valign="top"><a id="ac369f34db3201cc78c9631e18dd1fdb8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setType</b> (QString str)</td></tr>
<tr class="separator:ac369f34db3201cc78c9631e18dd1fdb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abbd0cc7a1d0d175997c2aedddd6528c0"><td class="memItemLeft" align="right" valign="top"><a id="abbd0cc7a1d0d175997c2aedddd6528c0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Canvas</b> (QObject *parent=nullptr)</td></tr>
<tr class="separator:abbd0cc7a1d0d175997c2aedddd6528c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8327b500f757f1aa712d37fc94822e62"><td class="memItemLeft" align="right" valign="top"><a id="a8327b500f757f1aa712d37fc94822e62"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddNode</b> (const int x, const int y, const ObstacleWeight type)</td></tr>
<tr class="separator:a8327b500f757f1aa712d37fc94822e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67f0bae7a7e6881a854bbb0e96d284d8"><td class="memItemLeft" align="right" valign="top"><a id="a67f0bae7a7e6881a854bbb0e96d284d8"></a>
<a class="el" href="classDrawNodeMovable.html">DrawNodeMovable</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getStart</b> ()</td></tr>
<tr class="separator:a67f0bae7a7e6881a854bbb0e96d284d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab195a2b077b852064b90ebf97284146"><td class="memItemLeft" align="right" valign="top"><a id="aab195a2b077b852064b90ebf97284146"></a>
<a class="el" href="classDrawNodeMovable.html">DrawNodeMovable</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getTarget</b> ()</td></tr>
<tr class="separator:aab195a2b077b852064b90ebf97284146"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691a97546a3cff451cb6ac96c1c5e688"><td class="memItemLeft" align="right" valign="top"><a id="a691a97546a3cff451cb6ac96c1c5e688"></a>
std::vector&lt; <a class="el" href="classDrawNode.html">DrawNode</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>getObstacles</b> ()</td></tr>
<tr class="separator:a691a97546a3cff451cb6ac96c1c5e688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af25c7b36f49a24b35e50d617af8d9983"><td class="memItemLeft" align="right" valign="top"><a id="af25c7b36f49a24b35e50d617af8d9983"></a>
<a class="el" href="classMap.html">Map</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>generateMap</b> ()</td></tr>
<tr class="separator:af25c7b36f49a24b35e50d617af8d9983"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af208fbc6fb555b610be309f15b31c244"><td class="memItemLeft" align="right" valign="top"><a id="af208fbc6fb555b610be309f15b31c244"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddStartFromCords</b> (int x, int y)</td></tr>
<tr class="separator:af208fbc6fb555b610be309f15b31c244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d816c0dadf98811ed8fdc7841dfb2b4"><td class="memItemLeft" align="right" valign="top"><a id="a7d816c0dadf98811ed8fdc7841dfb2b4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AddTargetFromCords</b> (int x, int y)</td></tr>
<tr class="separator:a7d816c0dadf98811ed8fdc7841dfb2b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2dcc5e92687c6f924293a79d8037edf"><td class="memItemLeft" align="right" valign="top"><a id="ab2dcc5e92687c6f924293a79d8037edf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setAcceptInput</b> (bool accept)</td></tr>
<tr class="separator:ab2dcc5e92687c6f924293a79d8037edf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a2f1c85fdf16a9b837ace76b10b3d8ae7"><td class="memItemLeft" align="right" valign="top"><a id="a2f1c85fdf16a9b837ace76b10b3d8ae7"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>nodeSize</b> = 12</td></tr>
<tr class="separator:a2f1c85fdf16a9b837ace76b10b3d8ae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a6f13fc33f7eb50700e5fdac4ad833846"><td class="memItemLeft" align="right" valign="top"><a id="a6f13fc33f7eb50700e5fdac4ad833846"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mouseMoveEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a6f13fc33f7eb50700e5fdac4ad833846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fa082f087bcb5d289a625a3d93e0e7d"><td class="memItemLeft" align="right" valign="top"><a id="a6fa082f087bcb5d289a625a3d93e0e7d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mouseReleaseEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:a6fa082f087bcb5d289a625a3d93e0e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0ec69489c3607b74a96c111c25c69fb"><td class="memItemLeft" align="right" valign="top"><a id="ac0ec69489c3607b74a96c111c25c69fb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>mouseDoubleClickEvent</b> (QGraphicsSceneMouseEvent *event)</td></tr>
<tr class="separator:ac0ec69489c3607b74a96c111c25c69fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Canvas_8h_source.html">Canvas.h</a></li>
<li>src/Canvas.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
